Subject: Re: NAPI rescheduling and the delay caused by it

From: Zoltan Kiss <[email-masked]>
Date: Wed, 11 Dec 2013 18:52:21 +0000

On 10/12/13 01:14, Eric Dumazet wrote:
> On Mon, 2013-12-09 at 23:39 +0000, Zoltan Kiss wrote:
>> I found another suspect however: my grant mapping patches do the
>> unmapping from the NAPI instance where otherwise we receive the
>> packets from the guest. But this means we call napi_schedule from the
>> zerocopy callback, which can be run by anyone who free up that skb,
>> including an another VIF's RX thread (which actually does the transmit
>> TO the guest). I guess that might be bad.
>
> Same problem : napi_schedule() is meant to be used from interrupt
> context.

Indeed, avoiding napi_schedule seems to solve the issue. Thanks for the 
advices!

Zoli